Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle
Class CheckStyleTask.Listener

    java.lang.Object
      com.puppycrawl.tools.checkstyle.CheckStyleTask.Listener

Enclosing class:
  CheckStyleTask

    public static class CheckStyleTask.Listener

extends Object

Represents a custom listener.

Constructor Summary
`CheckStyleTask.Listener()`

Method Summary
`String` | `getClassname()`
`void` | `setClassname(String aClassname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckStyleTask.Listener

    public CheckStyleTask.Listener()

Method Detail

### getClassname

    public String getClassname()

  Returns:
    the classname

### setClassname

    public void setClassname(String aClassname)

  Parameters:
    `aClassname` - set the classname

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD